Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCDataControlReference

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCDataControlReference`

All Implemented Interfaces:
  java.lang.Cloneable, DCDataControlManagement, java.util.Map

public class DCDataControlReference
extends oracle.jbo.common.JboAbstractMap
implements java.lang.Cloneable, DCDataControlManagement

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`DCDataControlReference(DCDataControlDef def)`
`DCDataControlReference(DCDataControlDef def, java.lang.String name)`

Method Summary
`void` | `beginRequest(java.util.HashMap requestCtx)` Invoked in some contexts to signal the beginning of a model request.
`java.lang.Object` | `clone()`
`void` | `endRequest(java.util.HashMap requestCtx)` Invoked in some contexts to signal the end of a model request.
`DCDataControl` | `getDataControl(oracle.adf.model.BindingContext ctx)`
`java.lang.String` | `getName()`
`protected java.lang.Object` | `internalGet(java.lang.String key)`
`protected void` | `internalPut(java.lang.String key, java.lang.Object value)`
`void` | `release()`
`void` | `release(int flags)` Based on the value of the flags parameter, releases all references to the objects in the data provider layer (BC4J or other data-provider objects).
`boolean` | `resetState()` Resets the DataControl.
`void` | `setUserParams(java.util.Map userParams)`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, get, hashCode, put`

Methods inherited from class java.util.AbstractMap
`clear, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DCDataControlReference

    public DCDataControlReference(DCDataControlDef def)

### DCDataControlReference

    public DCDataControlReference(DCDataControlDef def,
                                  java.lang.String name)

Method Detail

### setUserParams

    public void setUserParams(java.util.Map userParams)

### getDataControl

    public DCDataControl getDataControl(oracle.adf.model.BindingContext ctx)

### getName

    public java.lang.String getName()

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### beginRequest

    public void beginRequest(java.util.HashMap requestCtx)

  Description copied from interface: `DCDataControlManagement`
  Invoked in some contexts to signal the beginning of a model request. For example, if the `DataControl` is referenced in a web application then this method will be invoked by the ADF framework before control is forwarded to the first `Servlet` defined by the request.

  Subclassing datacontrols may extend this method to perform request level initialization of the `DataControl`.

  This method is guaranteed to be called only once per browser request. Page forwards should not result in multiple invocations.

  Specified by:
    `beginRequest` in interface `DCDataControlManagement`
  Parameters:
    `requestCtx` - a HashMap representing request context. Web applications which require request context may use the `BindingContext.HTTP_REQUEST` and `BindingContext.HTTP_RESPONSE` keys to acquire a reference from from the BindingContext.

### endRequest

    public void endRequest(java.util.HashMap requestCtx)

  Description copied from interface: `DCDataControlManagement`
  Invoked in some contexts to signal the end of a model request. For example, if the `DataControl` is referenced in a web application then this method will be invoked by the ADF framework after control is returned from the last `Servlet` defined by the request page flow.

  Subclassing datacontrols may extend this method to perform request level cleanup of the `DataControl`.

  This method is guaranteed to be called only once per browser request. Page forwards should not result in multiple invocations.

  Specified by:
    `endRequest` in interface `DCDataControlManagement`
  Parameters:
    `requestCtx` - a HashMap representing request context. Web applications which require request context may use the `BindingContext.HTTP_REQUEST` and `BindingContext.HTTP_RESPONSE` keys to acquire a reference from from the BindingContext.

### release

    public void release(int flags)

  Description copied from interface: `DCDataControlManagement`
  Based on the value of the flags parameter, releases all references to the objects in the data provider layer (BC4J or other data-provider objects). Valid values for flags are:
  - `REL_ALL_REFS` - if this data control should release all references to both the view and model objects.
  - `REL_DATA_REFS` - if this data control should release all references to data provider objects. The likely usage would be when say an Application Module is to be checked into a pool and this data-control may be given that or another checked out AM to work with subsequently.
  - `REL_VIEW_REFS` - if this data control should release all references to the UI/View layer objects.
  Specified by:
    `release` in interface `DCDataControlManagement`

### release

    public void release()

  Specified by:
    `release` in interface `DCDataControlManagement`

### resetState

    public boolean resetState()

  Description copied from interface: `DCDataControlManagement`
  Resets the DataControl. DataControl providers should extend this method to reset any model session state that may have been managed by this DataControl. For example:

  The ADF/BC DataControl has extended resetState to release the DataControl ApplicationModule to the ApplicationPool in unmanaged release mode.

  An EJB DataControl provider may extend resetState to close the DataControl EJB SessionBean

  A Toplink DataControl provider may extend resetState to close the DataControl UnitOfWork or ClientSession.

  Please note that resetState may not occur immediately. If beginRequest has been invoked on the DataControl then resetState processing will be deferred until endRequest processing.

  Extending DataControl providers should invoke release(REL_DATA_REFS) after performing and DataControl specific resetState handling.

  Specified by:
    `resetState` in interface `DCDataControlManagement`
  Returns:
    true if resetState was processed immediately. false if resetState was deferred to endRequest processing.

### internalPut

    protected void internalPut(java.lang.String key,
                               java.lang.Object value)

### internalGet

    protected java.lang.Object internalGet(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.